Printable version

Drivers & software

* RECOMMENDED * HPE ESXi Offline Bundle for VMware vSphere 6.5

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - System Management
Version: 2.6.0(18 Nov 2016)
Operating System(s): VMware vSphere 6.5
File name: hpe-esxi6.5uX-bundle-2.6.0-22.zip (9.8 MB)
HPE ESXi Offline Bundle for VMware ESXi 6.5. The HPE ESXi Offline Bundle for VMware ESXi 6.5 includes the latest HPE Common Information Model (CIM) Providers, HPE Integrated Lights-Out (iLO) driver, HPE Compaq ROM Utility (CRU) driver, the HPE Agentless Management Service (AMS), and Fibre Channel(FC) HBA access libraries.

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Provider Features:

  • Added support for Native Interface in Ethernet Port Provider
  • Added support for Native interface in Smart Array Provider

AMS features:

  • Added support for new SNMP traps for HPE NVMe PCIe Solid State Drives

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

a280872d460cb7c447b249aa10c3b393895f6a7b9216554b632766603f820018 hpe-esxi6.5uX-bundle-2.6.0-22.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Installing Offline Bundles on an vSphere 6.5 Host Using vSphere CLI 6.5 esxcli Utility

You can use the esxcli utility in conjunction with offline bundles or with a depot. This topic describes
the procedure using offline bundles.

This bundle includes the following software versions:

  • hpe-smx-provider-650.03.11.00.17-4240417
  • amshelper-650.10.6.0-24.4240417
  • hpe-ilo_650.10.0.1-24.4240417
  • hpe-cru_650.6.5.8.22-1.4240417
  • hpe-esxi-fc-enablement-650.2.6.10-4240417

Prerequisites
Before you can update or patch an vSphere 6.5 host from the command line, you must have access to a machine on which you can run the VMware vSphere Command-Line Interface 6.5 (vSphere CLI). You can install the vSphere CLI on your Microsoft Windows or Linux system. For information about importing or installing the
vSphere CLI 6.5, see the VMware vSphere Command-Line Interface Installation and Reference Guide.

Procedure

  1. Power off any virtual machines that are running on the host and place the host into maintenance mode.
  2. Transfer the offline bundle onto the ESXi host local path, or extract it onto an online depot.
  3. Install the bundle on the ESXi host.
    • Install remotely from client, with offline bundle contents on a online depot:
         esxcli -s <server> -u root -p mypassword software vib install -d <depotURL/bundle-index.xml>
    • Install remotely from client, with offline bundle on ESXi host:
         esxcli -s <server> -u root -p mypassword software vib install -d <ESXi local path><bundle.zip>
    • Install from ESXi host, with offline bundle on ESXi host:
         esxcli software vib install -d <ESXi local path><bundle.zip>
  4. After the bundle is installed, reboot the ESXi host for the updates to take effect.
  5. (Optional) Verify that the vibs on the bundle are installed on your ESXi host.
       esxcli -s <server> -u root -p mypassword software vib list
  6. (Optional) Remove individual vibs. <vib name> can be identified by listing the vibs as shown in #5.
       esxcli -s <server> -u root -p mypassword software vib remove -n <vib name>

  Installing Offline Bundles on an vSphere 6.5 Host Using VMware vCenter Update Manager

The offline bundle can also be installed from VMware vCenter Update Manager as a patch. For more information and detailed instructions, see the VMware vCenter Update Manager Administration Guide.

 


End User License Agreements:
HPE Software License Agreement v1
Eclipse License
Libcurl End User License Agreement
Net-SNMP License
SNIA License
zlib End User License Agreement
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

  • HPE Insight Management WBEM Providers reports incorrect value for the following types of SMX_EthernetPort properties:
    • Network cards supporting Intel drivers igbn, i40en
    • BladeSystem C-Class mezzanine cards supporting Emulex driver elxnet
    • Network cards supporting Mellanox driver nmlx5_core when link is down 
    • Network cards supporting Mellanox driver nmlx4_en irrespective of link is up or down
  • HPE Smart Array WBEM provider reports removed then restored physical disks and enclosures
    • The HPE Smart Array WBEM providers will periodically generate indications reporting physical disks and enclosures have been removed or have stopped responding quickly followed by indications reporting the hardware has been restored. These indications can be ignored as there is no actual hardware removal or loss of communication to the hardware. 
  • HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and accordingly WBEM indications are also not getting generated
    • When the HP FlexFabric 10Gb 2-port 536FLB device is installed on a server and if the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers reports wrong value for the OperationalStatus property in FC Provider classes. Also the WBEM indications does not get generated. OperationalStatus reflects with changed status only after WBEM Provider restarts.

Notes:

The HPE CIM Providers use modified SNIA HBAAPI open source code and is covered by the SNIA License.
A document of the changes made and the modified source code are available at http://vibsdepot.hpe.com/hpq/SNIA/HBAAPI/


Supported Devices and Features:

Supports VMware vSphere 6.5

 


  • HPE Insight Management WBEM Providers reports incorrect value for the following types of SMX_EthernetPort properties:
    • Network cards supporting Intel drivers igbn, i40en
    • BladeSystem C-Class mezzanine cards supporting Emulex driver elxnet
    • Network cards supporting Mellanox driver nmlx5_core when link is down 
    • Network cards supporting Mellanox driver nmlx4_en irrespective of link is up or down
  • HPE Smart Array WBEM provider reports removed then restored physical disks and enclosures
    • The HPE Smart Array WBEM providers will periodically generate indications reporting physical disks and enclosures have been removed or have stopped responding quickly followed by indications reporting the hardware has been restored. These indications can be ignored as there is no actual hardware removal or loss of communication to the hardware. 
  • HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and accordingly WBEM indications are also not getting generated
    • When the HP FlexFabric 10Gb 2-port 536FLB device is installed on a server and if the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers reports wrong value for the OperationalStatus property in FC Provider classes. Also the WBEM indications does not get generated. OperationalStatus reflects with changed status only after WBEM Provider restarts.
Version:3.2.0 (21 Mar 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


WBEM Providers

  • Fixed to report HPE Smart array P816i-a SR Gen10 controller Information on vSphere 6.0 and 6.5. For more information, see the customer advisory at http:// h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00019315en_us.
  • Fixed to report HPE Dynamic Smart Array B140i Controller Information if nhpsa driver supported Smart Array Controller is also configured in that server on vSphere 6.5. For more information, see the customer advisory at http://h20566.www2.hpe.com/hpsc/doc/ public/display?docId=emr_na-a00016048en_us.
  • Fixed Memory leak issue in HPE Insight Management WBEM Provider on VMware vSphere 6.0 and 6.5. For more information, see the customer advisory at http:// h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00019892en_us.
  • Fixed to report HealthState property for HPVC_SAStorageVolume and HPVC_SAStorageExtent to match SSACLI status.
  • Fixed number of HPVC_SAStorageVolume instances to match with SSACLI.

Agentless Management Service

  • Fix continuous PCIe Disk Temperature Failed (cpqSePCIeDiskTemperatureFailed) and PCIe Disk Wear Status Change (cpqSePCIeDiskWearStatusChange) traps when there are 3 or more NVMe drives in the system
Enhancements

Agentless Management Service

  • Added reporting of proper part number for HPE Dual 8GB MicroSD EM USB Device 
  • Added support for HPE Smart Array P824i-p MR controller
  • Added support for reporting multiple IPV6 addresses configured for Ethernet ports
  • Added support for Periodic heartbeat trap (cpqHo2GenericTrap)
  • Added support for Host OS Graceful shutdown due to Critical Thermal/Fan Failure events in HPE Gen10 Servers

Version:3.1.5 (9 Nov 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


HPE Insight Management WBEM Providers:

HPE Insight Management WBEM Providers does not report HPE Dynamic Smart Array B140i Controller Information if nhpsa driver supported Smart Array Controller is also configured in that server on vSphere 6.5

This issue is observed on vSphere 6.5 when the server is configured with an HPE Dynamic Smart Array B140i Controller supported by the hpdsa driver and smart array controller supported by the nhpsa driver. In this configuration, the HPE Insight Management WBEM Provider do not report the HPE Dynamic Smart Array B140i Controller instances information it only reports the Smart Array Controller instances information.

HPE Insight Management WBEM Providers does not support HPE Smart Array P816i-a SR Gen10 controller on vSphere 6.0 and 6.5

This issue is observed on both vSphere 6.0 and 6.5 OS, when the server is configured with HPE Smart Array P816i-a SR Gen10 controller. In this configuration, the HPE Insight Management WBEM Providers do not report any information of the HPE Smart Array P816i-a SR Gen10 controller.

HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and WBEM indications are also not generated

When FC Adapter “HP FlexFabric 10Gb 2-port 536FLB” is installed on a server and the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers report wrong value for the OperationalStatus property in FC Provider classes and the WBEM indications are not generated. OperationalStatus reports the changed status only after WBEM Provider restarts.

Fixed memory leak. For more information, see the customer advisory at http://h20565.www2.hpe.com/ hpsc/doc/public/display?docId=emr_na-a00019892en_us.

 

HPE Agentless Management Service:

  • Fixed status for unconnected Fiber Channel ports that cause Fiber Channel Controller status to show as Degraded.
  • Fixed cpqIdeAtaDiskStatus which always shows SMART error and causing cpqIdeAtaDiskCondition as Degraded.

 

 

Enhancements

Added HPE Insight Management WBEM Provider support for new FCHBA.


Version:3.1.1 (28 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed Memory leak in HPE Insight Management WBEM Provider on VMware vSphere 6.5


Version:3.1.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


AMS fixes:

  • Fixed /tmp folder exhaustion with ahs.debug file when running over 128 CPU threads on the Host Server
  • Fixed AMS crash when multiple NICs of the same driver are installed
Enhancements

WBEM Provider features:

  • Gen10 and newer servers are Agentless, meaning the providers are limited to only the part of the Smart Array provider required to support Smart Array in VMware vCenter. Full providers continue to be supported on Gen9 and earlier servers.
  • Added support for smartpqi driver and Gen10 Smart Array controllers.
  • Added support to send Test Indication periodically to all the subscribers based on the time-interval value(days) configured from testevent utility.
  • Added Firmware update audit logging support to Smart Component Installer provider

AMS features:

  • Added new SMA (System Management Assistant) feature for Gen10 which allows SNMP traps generated by iLO Agentless Management and AMS to be delivered through the Host OS Management Port
  • Added support for new MIB OIDs cpqSasPhyDrvSsBoxModel, cpqSasPhyDrvSsBoxSerialNumber, cpqSasPhyDrvSsBoxFwRev, and cpqSasPhyDrvSsBoxVendor

The Agentless Management Service script to manually stop or restart AMS has changed from hp-ams.sh to ams.sh.


Version:2.6.2 (15 May 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • There is an updated hpe-ilo driver included in this bundle. For more information, see the VMware Knowledge Base Article at http://kb.vmware.com/kb/2148123 and the HPE Customer Advisory at http://h20565.www2.hpe.com/hpsc/doc/public/display?docId=c05378386.
  • HPE Insight Management WBEM Providers does not report HPE Dynamic Smart Array B140i Controller Information if an nhpsa driver supported HPE Smart Array Controller is also configured in the same server on vSphere 6.5 - This issue is observed on vSphere 6.5 when the server is configured with a combination of a HPE Dynamic Smart Array B140i Controller that supports hpdsa driver and a HPE Smart Array Controller that supports an nhpsa driver. The HPE Insight Management WBEM Providers does not report the HPE Dynamic Smart Array B140i Controller instances and only reports the HPE Smart Array Controller instances that supports the nhpsa driver.


Version:2.6.0 (18 Nov 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Provider Features:

  • Added support for Native Interface in Ethernet Port Provider
  • Added support for Native interface in Smart Array Provider

AMS features:

  • Added support for new SNMP traps for HPE NVMe PCIe Solid State Drives

Type: Software - System Management
Version: 2.6.0(18 Nov 2016)
Operating System(s):
VMware vSphere 6.5

Description

HPE ESXi Offline Bundle for VMware ESXi 6.5. The HPE ESXi Offline Bundle for VMware ESXi 6.5 includes the latest HPE Common Information Model (CIM) Providers, HPE Integrated Lights-Out (iLO) driver, HPE Compaq ROM Utility (CRU) driver, the HPE Agentless Management Service (AMS), and Fibre Channel(FC) HBA access libraries.

Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Provider Features:

  • Added support for Native Interface in Ethernet Port Provider
  • Added support for Native interface in Smart Array Provider

AMS features:

  • Added support for new SNMP traps for HPE NVMe PCIe Solid State Drives

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

a280872d460cb7c447b249aa10c3b393895f6a7b9216554b632766603f820018 hpe-esxi6.5uX-bundle-2.6.0-22.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Installing Offline Bundles on an vSphere 6.5 Host Using vSphere CLI 6.5 esxcli Utility

You can use the esxcli utility in conjunction with offline bundles or with a depot. This topic describes
the procedure using offline bundles.

This bundle includes the following software versions:

  • hpe-smx-provider-650.03.11.00.17-4240417
  • amshelper-650.10.6.0-24.4240417
  • hpe-ilo_650.10.0.1-24.4240417
  • hpe-cru_650.6.5.8.22-1.4240417
  • hpe-esxi-fc-enablement-650.2.6.10-4240417

Prerequisites
Before you can update or patch an vSphere 6.5 host from the command line, you must have access to a machine on which you can run the VMware vSphere Command-Line Interface 6.5 (vSphere CLI). You can install the vSphere CLI on your Microsoft Windows or Linux system. For information about importing or installing the
vSphere CLI 6.5, see the VMware vSphere Command-Line Interface Installation and Reference Guide.

Procedure

  1. Power off any virtual machines that are running on the host and place the host into maintenance mode.
  2. Transfer the offline bundle onto the ESXi host local path, or extract it onto an online depot.
  3. Install the bundle on the ESXi host.
    • Install remotely from client, with offline bundle contents on a online depot:
         esxcli -s <server> -u root -p mypassword software vib install -d <depotURL/bundle-index.xml>
    • Install remotely from client, with offline bundle on ESXi host:
         esxcli -s <server> -u root -p mypassword software vib install -d <ESXi local path><bundle.zip>
    • Install from ESXi host, with offline bundle on ESXi host:
         esxcli software vib install -d <ESXi local path><bundle.zip>
  4. After the bundle is installed, reboot the ESXi host for the updates to take effect.
  5. (Optional) Verify that the vibs on the bundle are installed on your ESXi host.
       esxcli -s <server> -u root -p mypassword software vib list
  6. (Optional) Remove individual vibs. <vib name> can be identified by listing the vibs as shown in #5.
       esxcli -s <server> -u root -p mypassword software vib remove -n <vib name>

  Installing Offline Bundles on an vSphere 6.5 Host Using VMware vCenter Update Manager

The offline bundle can also be installed from VMware vCenter Update Manager as a patch. For more information and detailed instructions, see the VMware vCenter Update Manager Administration Guide.

 


Release Notes

End User License Agreements:
HPE Software License Agreement v1
Eclipse License
Libcurl End User License Agreement
Net-SNMP License
SNIA License
zlib End User License Agreement
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

  • HPE Insight Management WBEM Providers reports incorrect value for the following types of SMX_EthernetPort properties:
    • Network cards supporting Intel drivers igbn, i40en
    • BladeSystem C-Class mezzanine cards supporting Emulex driver elxnet
    • Network cards supporting Mellanox driver nmlx5_core when link is down 
    • Network cards supporting Mellanox driver nmlx4_en irrespective of link is up or down
  • HPE Smart Array WBEM provider reports removed then restored physical disks and enclosures
    • The HPE Smart Array WBEM providers will periodically generate indications reporting physical disks and enclosures have been removed or have stopped responding quickly followed by indications reporting the hardware has been restored. These indications can be ignored as there is no actual hardware removal or loss of communication to the hardware. 
  • HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and accordingly WBEM indications are also not getting generated
    • When the HP FlexFabric 10Gb 2-port 536FLB device is installed on a server and if the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers reports wrong value for the OperationalStatus property in FC Provider classes. Also the WBEM indications does not get generated. OperationalStatus reflects with changed status only after WBEM Provider restarts.

Notes:

The HPE CIM Providers use modified SNIA HBAAPI open source code and is covered by the SNIA License.
A document of the changes made and the modified source code are available at http://vibsdepot.hpe.com/hpq/SNIA/HBAAPI/


Supported Devices and Features:

Supports VMware vSphere 6.5

 


Important

  • HPE Insight Management WBEM Providers reports incorrect value for the following types of SMX_EthernetPort properties:
    • Network cards supporting Intel drivers igbn, i40en
    • BladeSystem C-Class mezzanine cards supporting Emulex driver elxnet
    • Network cards supporting Mellanox driver nmlx5_core when link is down 
    • Network cards supporting Mellanox driver nmlx4_en irrespective of link is up or down
  • HPE Smart Array WBEM provider reports removed then restored physical disks and enclosures
    • The HPE Smart Array WBEM providers will periodically generate indications reporting physical disks and enclosures have been removed or have stopped responding quickly followed by indications reporting the hardware has been restored. These indications can be ignored as there is no actual hardware removal or loss of communication to the hardware. 
  • HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and accordingly WBEM indications are also not getting generated
    • When the HP FlexFabric 10Gb 2-port 536FLB device is installed on a server and if the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers reports wrong value for the OperationalStatus property in FC Provider classes. Also the WBEM indications does not get generated. OperationalStatus reflects with changed status only after WBEM Provider restarts.

Revision History

Version:3.2.0 (21 Mar 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


WBEM Providers

  • Fixed to report HPE Smart array P816i-a SR Gen10 controller Information on vSphere 6.0 and 6.5. For more information, see the customer advisory at http:// h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00019315en_us.
  • Fixed to report HPE Dynamic Smart Array B140i Controller Information if nhpsa driver supported Smart Array Controller is also configured in that server on vSphere 6.5. For more information, see the customer advisory at http://h20566.www2.hpe.com/hpsc/doc/ public/display?docId=emr_na-a00016048en_us.
  • Fixed Memory leak issue in HPE Insight Management WBEM Provider on VMware vSphere 6.0 and 6.5. For more information, see the customer advisory at http:// h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00019892en_us.
  • Fixed to report HealthState property for HPVC_SAStorageVolume and HPVC_SAStorageExtent to match SSACLI status.
  • Fixed number of HPVC_SAStorageVolume instances to match with SSACLI.

Agentless Management Service

  • Fix continuous PCIe Disk Temperature Failed (cpqSePCIeDiskTemperatureFailed) and PCIe Disk Wear Status Change (cpqSePCIeDiskWearStatusChange) traps when there are 3 or more NVMe drives in the system
Enhancements

Agentless Management Service

  • Added reporting of proper part number for HPE Dual 8GB MicroSD EM USB Device 
  • Added support for HPE Smart Array P824i-p MR controller
  • Added support for reporting multiple IPV6 addresses configured for Ethernet ports
  • Added support for Periodic heartbeat trap (cpqHo2GenericTrap)
  • Added support for Host OS Graceful shutdown due to Critical Thermal/Fan Failure events in HPE Gen10 Servers

Version:3.1.5 (9 Nov 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


HPE Insight Management WBEM Providers:

HPE Insight Management WBEM Providers does not report HPE Dynamic Smart Array B140i Controller Information if nhpsa driver supported Smart Array Controller is also configured in that server on vSphere 6.5

This issue is observed on vSphere 6.5 when the server is configured with an HPE Dynamic Smart Array B140i Controller supported by the hpdsa driver and smart array controller supported by the nhpsa driver. In this configuration, the HPE Insight Management WBEM Provider do not report the HPE Dynamic Smart Array B140i Controller instances information it only reports the Smart Array Controller instances information.

HPE Insight Management WBEM Providers does not support HPE Smart Array P816i-a SR Gen10 controller on vSphere 6.0 and 6.5

This issue is observed on both vSphere 6.0 and 6.5 OS, when the server is configured with HPE Smart Array P816i-a SR Gen10 controller. In this configuration, the HPE Insight Management WBEM Providers do not report any information of the HPE Smart Array P816i-a SR Gen10 controller.

HPE Insight Management WBEM Providers is not reporting the actual OperationalStatus of FC port and WBEM indications are also not generated

When FC Adapter “HP FlexFabric 10Gb 2-port 536FLB” is installed on a server and the FC cable is connected or disconnected from ports, HPE Insight Management WBEM Providers report wrong value for the OperationalStatus property in FC Provider classes and the WBEM indications are not generated. OperationalStatus reports the changed status only after WBEM Provider restarts.

Fixed memory leak. For more information, see the customer advisory at http://h20565.www2.hpe.com/ hpsc/doc/public/display?docId=emr_na-a00019892en_us.

 

HPE Agentless Management Service:

  • Fixed status for unconnected Fiber Channel ports that cause Fiber Channel Controller status to show as Degraded.
  • Fixed cpqIdeAtaDiskStatus which always shows SMART error and causing cpqIdeAtaDiskCondition as Degraded.

 

 

Enhancements

Added HPE Insight Management WBEM Provider support for new FCHBA.


Version:3.1.1 (28 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed Memory leak in HPE Insight Management WBEM Provider on VMware vSphere 6.5


Version:3.1.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


AMS fixes:

  • Fixed /tmp folder exhaustion with ahs.debug file when running over 128 CPU threads on the Host Server
  • Fixed AMS crash when multiple NICs of the same driver are installed
Enhancements

WBEM Provider features:

  • Gen10 and newer servers are Agentless, meaning the providers are limited to only the part of the Smart Array provider required to support Smart Array in VMware vCenter. Full providers continue to be supported on Gen9 and earlier servers.
  • Added support for smartpqi driver and Gen10 Smart Array controllers.
  • Added support to send Test Indication periodically to all the subscribers based on the time-interval value(days) configured from testevent utility.
  • Added Firmware update audit logging support to Smart Component Installer provider

AMS features:

  • Added new SMA (System Management Assistant) feature for Gen10 which allows SNMP traps generated by iLO Agentless Management and AMS to be delivered through the Host OS Management Port
  • Added support for new MIB OIDs cpqSasPhyDrvSsBoxModel, cpqSasPhyDrvSsBoxSerialNumber, cpqSasPhyDrvSsBoxFwRev, and cpqSasPhyDrvSsBoxVendor

The Agentless Management Service script to manually stop or restart AMS has changed from hp-ams.sh to ams.sh.


Version:2.6.2 (15 May 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • There is an updated hpe-ilo driver included in this bundle. For more information, see the VMware Knowledge Base Article at http://kb.vmware.com/kb/2148123 and the HPE Customer Advisory at http://h20565.www2.hpe.com/hpsc/doc/public/display?docId=c05378386.
  • HPE Insight Management WBEM Providers does not report HPE Dynamic Smart Array B140i Controller Information if an nhpsa driver supported HPE Smart Array Controller is also configured in the same server on vSphere 6.5 - This issue is observed on vSphere 6.5 when the server is configured with a combination of a HPE Dynamic Smart Array B140i Controller that supports hpdsa driver and a HPE Smart Array Controller that supports an nhpsa driver. The HPE Insight Management WBEM Providers does not report the HPE Dynamic Smart Array B140i Controller instances and only reports the HPE Smart Array Controller instances that supports the nhpsa driver.


Version:2.6.0 (18 Nov 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Provider Features:

  • Added support for Native Interface in Ethernet Port Provider
  • Added support for Native interface in Smart Array Provider

AMS features:

  • Added support for new SNMP traps for HPE NVMe PCIe Solid State Drives